Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033470
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminoralways2016-07-12 13:422016-07-14 11:39
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisioneddbad5c182e
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-01-13
Regression introduced in release3.0PR16Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/27ef13611fff [^]
Triggers an Emergency PackNo
Summary

0033470: Invoice amount not populated when running Add Payment from Add Transaction from Match Statement process

DescriptionWhen specific invoice is selected , amount field is set to zero instead of to invoice's amount
Steps To Reproduce1. Register Purchase Invoice with total amount 100 and process
2. Access Financial Account, go to Bank Statement tab and create register with bank statement line with Amount out=150. Process bank statement
3. Run Match Statement process, press Cancel and run Add Transaction process by pressing +
4. Run Add Payment process by pressing + in payment's selector. Clear filtering data if required and select previous invoice. Realize that amount is not populated with 100

NOTE: if you follow similar process from Transaction's grid you will see that amount field is populated with invoice's amount
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033465 closedmarkmm82 Invoice amount not populated when running Add Payment from Add Transaction from Match Statement process 

-  Notes
(0088464)
hgbot (developer)
2016-07-14 11:37

Repository: erp/backports/3.0PR16Q3
Changeset: eddbad5c182e0a25fd989ed0521cd12a5b18d345
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jul 13 09:45:27 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3/rev/eddbad5c182e0a25fd989ed0521cd12a5b18d345 [^]

Fixes issue 33470: Right invoice amount when Add Payment from Match Statement

Invoice amount is populated when running Add Payment from Add Transaction from Match Statement process, and the amount field is set to invoice's amount instead of to zero when specific invoice is selected.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0088466)
aferraz (developer)
2016-07-14 11:39

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-07-13 11:24 aferraz Type defect => backport
2016-07-13 11:24 aferraz Target Version => 3.0PR16Q3
2016-07-14 11:37 hgbot Checkin
2016-07-14 11:37 hgbot Note Added: 0088464
2016-07-14 11:37 hgbot Status scheduled => resolved
2016-07-14 11:37 hgbot Resolution open => fixed
2016-07-14 11:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3/rev/eddbad5c182e0a25fd989ed0521cd12a5b18d345 [^]
2016-07-14 11:39 aferraz Review Assigned To => aferraz
2016-07-14 11:39 aferraz Note Added: 0088466
2016-07-14 11:39 aferraz Status resolved => closed
2016-07-14 11:39 aferraz Fixed in Version => 3.0PR16Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker